Skip to main content
GET
/
account
/
{accountId}
/
balance
/
history
Get balance history
curl --request GET \
  --url https://api.portal.blend.money/sdk/account/{accountId}/balance/history \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Publishable-Key: <api-key>'
{
  "status": "success",
  "data": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "totalValue": {
        "USD": 100.5,
        "EUR": 92.4
      },
      "totalYield": {
        "USD": 100.5,
        "EUR": 92.4
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.blend.money/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Publishable-Key
string
header
required

Client-safe Account Type key, for example pk_live_....

Authorization
string
header
required

SIWE session token returned by /auth/verify.

Path Parameters

accountId
string<uuid>
required

Query Parameters

startDate
string
endDate
string

Response

Historical balance snapshots

status
enum<string>
required
Available options:
success
data
object[]
Last modified on May 5, 2026